[QtMoko] Debian package for v21

Vincent Meurisse openmoko-community at meurisse.org
Thu Apr 15 08:36:49 CEST 2010

On Thursday 15 April 2010 06:33:02 Yoric Kotchukov wrote:
> A couple of questions please:
> 1) What about the internal package QtMoko in this case? codecs eyepiece
> gqsync qtpedometr etc? Remove & HOME / packages and reinstall?
I keep them installed and never had any problem. As everything is in home 
directory, the new version can still use the application.

> 2) Due to the fact that the kernel / modules are not standard packages
> debian, as they update? Reflashing kernel & scp modules?
> dpkg-S / lib/modules/2.6.29-rc3-v21/kernel/block/cfq-iosched.ko
> dpkg: / lib/modules/2.6.29-rc3-v21/kernel/block/cfq-iosched.ko not found
You usually don't need to reflash anything.

For the modules, they are in package qtmoko-kernel-modules:
neo:~# dpkg -S /lib/modules/2.6.29-rc3-v21/kernel/block/cfq-iosched.ko
qtmoko-kernel-modules: /lib/modules/2.6.29-rc3-v21/kernel/block/cfq-iosched.ko

For the kernel, you have the package qtmoko-kernel-image which contain the file 
If you installed to the nand, you also need to install the package
qtmoko-kernel-nand. It will flash the newly installed kernel directly from the 
phone (dd if=/boot/uImage.bin of=/dev/mtdblock3).


Vincent Meurisse

More information about the community mailing list